version 9.2
global stub ch1_f03
/*
	Research body fat dataset.
	Example to illustrate univariate FP approach.
	Predict percent body fat from BMI and other variables.

	Graphs:
	Fits for linear, quadratic, cubic, FP1 and FP2.

	(Note: N = 327)
*/
set more off
mvmb_load res_bodyfat

qui {
	regress pbfm bmi
	predict fitl
	fracpoly regress pbfm bmi 1 2
	predict fitq
	fracpoly regress pbfm bmi 1 2 3
	predict fitc
	fracpoly regress pbfm bmi -1
	predict fitfp1
	fracpoly regress pbfm bmi -2 -1
	predict fitfp2
}
local y0 fitl
local y1 fitq
local y2 fitc
local y3 fitfp1
local y4 fitfp2
local x bmi
line `y0' `y1' `y2' `y3' `y4' `x', clp(l l - _ -.) sort ///
 ytitle("Fitted percent body fat", size(large)) xlab(10(10)60) ylab(10(10)60) ///
 leg(label(1 "Linear") label(2 "Quadratic") label(3 "Cubic") label(4 "FP1") label(5 "FP2") ///
 ring(0) pos(5) col(1) ) lwidth(medthick ..) sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub

set more on
