version 9.2
global stub ch3_f02
/*
	GBSG breast cancer data.
	Visualization of the relation between martingale residuals and nodes.
*/
set more off
mvmb_load gbsg_br_ca

stcox, estimate mgale(mgale)

local x nodes
local y mgale 
running_ci `y' `x'

residual_plot_cmd s_`x' ll_`x' ul_`x' `x', yl(-1.1) yu(1)

twoway `r(cmd1)' `r(cmd2)' ///
 (scatter `y' `x', ytitle("Martingale residuals", size(large)) ///
  ms(oh) mcolor(gs12) xtitle("nodes", size(large)) ) ///
 `r(cmd3)', sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub
set more on
