version 9.2
global stub ch3_f03
/*
	Prostate data.
	Cubic splines of varying complexity.
*/
set more off
mvmb_load prostate_ca

scatter lpsa cavol, ytitle("logpsa", size(large)) ///
 mcolor(gs4) xtitle("") name(g1, replace) nodraw

qui forval j=1/10 {
	uvrs regress lpsa cavol, df(`j')
	predict f`j'
}
clp
local gs
local add .5
forval j=1/10{
	cap drop g`j'
	gen g`j' = f`j'+`add'*(`j'-1)
	local gs `gs' g`j'
}
local xupper 25.71
local yupper 9.4
line `gs' cavol if cavol<=`xupper', sort clp($clp)  ///
 xtitle("") ytitle("fitted cubic regression spline", size(large)) ///
 leg(label(1 "1 df") label(2 "2 df") label(3 "3 df") label(4 "4 df") label(5 "5 df") ///
 label(6 "6 df") label(7 "7 df") label(8 "8 df") label(9 "9 df") label(10 "10 df") ///
 ring(0) pos(5) col(2) symxsize(*.5) ) ///
 xsca(r(0 `xupper')) xla(0(5)25) yla(1(2)9) ysca(r(0 `yupper')) ///
 lcolor(gs1 gs2 gs3 gs4  gs5 gs6 gs7 gs8 gs9 gs10) lwidth(medthick ..) name(g2, replace) nodraw

graph combine g1 g2, sav($stub, replace) b2title("cavol (cancer volume, ml)") nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2
set more on
