version 9.2
global stub ch3_t03
/*
	Artificial data example.
	Do various analyses.
*/
clear
mvmb_load
mvmb_logopen

qui input int(dose r n)
1 40 100
2 70 130
3 90 170
end
gen m1 = dose
gen m2 = cond(dose==3, 2.5, m1)
gen dc1 = (dose==2)
gen dc2 = (dose==3)
gen do1 = (dose>=2)
gen do2 = (dose==3)
compress

* Analysis based on M-1 metric coding
glm r m1, fam(bin n) eform
stepwise, pr(.05): glm r m1, fam(bin n) eform

* Analysis based on M-2 metric coding
stepwise, pr(.05): glm r m2, fam(bin n) eform

* Forward stepwise and BE analysis based on categorical coding
stepwise, pr(.05) pe(.0499) forward: glm r dc1 dc2, fam(bin n) eform
stepwise, pr(.05): glm r dc1 dc2, fam(bin n) eform

* Forward stepwise and BE analysis based on ordinal coding
stepwise, pr(.05) pe(.0499) forward: glm r do1 do2, fam(bin n) eform
stepwise, pr(.05): glm r do1 do2, fam(bin n) eform

log close
set more on
