global stub ch4_t05
/*
	Whitehall 1 data.
	Table 5.
*/
set more off
mvmb_load whitehall1
mvmb_logopen

* Analysis in categories
categ cigs, cut(0 10(10)40)
byvar cigsc6, r(mean) tab: sum cigs

tab cigsc6 all10
xi: logit all10 i.cigsc6, or

/*
	FP1 analysis.
	Extend dataset to include means of categories
*/
global cigstuff
forval j=2/6 {
	qui sum cigs if cigsc6==`j'
	local m: di %5.1f r(mean)
	di `j', "`m'"
	global cigstuff $cigstuff 0 `m'	// compare 0 (referent) with mean of smoking category
}
fracpoly logit all10 cigs 0, all report($cigstuff)

* Ests and CI for ORs
matrix repx = e(repx)
matrix repdiff = e(repdiff)
matrix repse = e(repse)
forval j=1(2)9 {
	local val = repx[`j',2]
	local est = repdiff[`j',1]
	local se = repse[`j',1]
	di %5.1f `val' %6.2f exp(`est')  %6.2f exp(`est'-1.96*`se') %6.2f exp(`est'+1.96*`se')
}
log close
set more on
