version 9.2
global stub ch5_f05
/*
	PBC data.
	Show bil relationship before and after origin shift.
*/
set more off
mvmb_load pbc
qui {
	local eps 0.022
	local eps2 0.086

	fracpoly stcox bil
	predict f1, xb
	gen bila = bil+`eps'

	fracpoly stcox bila 0
	predict f2, xb
	gen bilb = bil+`eps2'

	fracpoly stcox bilb -0.5
	predict f3, xb

	gdelta Gbil = bil
	fracpoly stcox Gbil -2
	predict f4, xb

	meanzero f1 f2 f3 f4, replace

	line f1 f2 f3 f4 bil, sort clp(l - _ -.) xtitle("Bilirubin (bil)") ///
	 ytitle("Log relative hazard") ysca(r(. 2.5)) yla(-2(1)3) ///
	 lwidth(medthick ..) lcolor(gs4 ..) ///
	 legend(label(1 "FP2 (-2,-0.5) on bil") label(2 "FP1 (0) on (bil + `eps')") ///
	 label(3 "FP1 (-0.5) on (bil + `eps2')") label(4 "FP1 (-2) on gdelta(bil)") ring(0) pos(5) col(1)) ///
	 sav($stub, replace) nodraw
}

gph2emf $stub
gph2eps $stub
set more on
