version 9.2
global stub ch6_f11
/*
	Prostate data.
	Plots of functions for cavol with mfp
	model selected at .05 level and .25 level, to show
	differences and similarities.
*/
set more off
mvmb_load prostate_ca

global vars cavol svi pgg45 weight bph cp age

sum lpsa
scalar mean=r(mean)

gen lcavol = ln(cavol)

* mfp(.05)
regress lpsa lcavol svi weight
xpredict f1, with(lcavol)
qui sum f1
qui replace f1=f1-r(mean)+mean

* mfp(.25)
qui mfp regress lpsa $vars, sel(.25) alpha(.25)
mfp
fracpred f2, for(cavol)
qui sum f2
qui replace f2=f2-r(mean)+mean
gen byte freq=1

twoway (line f1 f2 cavol, sort clp(l -) lwidth(medthick ..) xtitle(Cancer volume, size(large)) ///
 ytitle("Partial predictor for cavol", size(large)) ///
 legend(order(1 2) label(1 "MFP (0.05): power 0") label(2 "MFP (0.25): powers -1,1") ring(0) col(1) pos(11))) ///
 (spike freq cavol, xaxis(2) yaxis(2) yscale(axis(2) r(0 40) off) ///
  xscale(axis(2) off) blcolor(black)), sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub
