version 9.2
global stub ch6_f14
/*
	Oral cancer data.
	Class 4 analysis of logistic regression model on drinks,
	with confounder model functions selected at 20% level.
*/
set more off
mvmb_load oral_ca
qui mfp logit ccstatus drinks sex age cigs, select(1) alpha(.2, drinks:.05)
mfp
predict p, p
fracpred f, for(drinks)
fracpred sf, for(drinks) stdp
gen ll = f-1.96*sf
gen ul = f+1.96*sf

gen byte freq = 1

twoway ///
 ( rarea ll ul drinks, sort pstyle(ci) ) ///
 ( line f drinks, sort lstyle(refline) pstyle(p2) ) ///
 ( spike freq drinks, xaxis(2) yaxis(2) yscale(axis(2) r(0 40) off) xscale(axis(2) off) blcolor(black) ) ///
 , xtitle("") ytitle("Log odds of caseness", size(large)) legend(off) name(g1, replace) nodraw


* Smoothed residuals vs. drinks
gen r = ccstatus-p
local x drinks
running_ci r `x'

residual_plot_cmd s_`x' ll_`x' ul_`x' `x', yl(-1) yu(1)

twoway `r(cmd1)' `r(cmd2)' ///
 (scatter r `x', ms(oh) mcolor(gs12) ) ///
 `r(cmd3)' ///
 , xtitle("") ytitle("Residuals and smoothed residuals", size(large)) name(g2, replace) nodraw

graph combine g1 g2, sav($stub, replace) b2title(Number of 1 oz drinks) nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2
set more on
