version 9.2
global stub ch6_t03
/*
	Prostate data.
	Elaborate BE(0.05) and MFP(0.05) models with spline model.
*/
set more off
mvmb_load prostate_ca
mvmb_logopen

gen lcavol = ln(cavol)

global varsbe cavol svi pgg45 weight
global varsmfp lcavol svi weight

regress lpsa $varsbe
predict res, res

* vars in model: look for more complex function
foreach v of var cavol weight pgg45 {
	centile `v', c(10 50 90)
	local c10=r(c_1)
	local c50=r(c_2)
	local c90=r(c_3)
	splinegen `v' `c10' `c50' `c90', orthog
	local vl `r(names)'
	local v0 `v'_0
	local vl: list vl - v0
	regress res `vl', nocons
	test `vl'
}
* vars not in model: fit more complex function
foreach v of var age bph cp {
	centile `v', c(10 50 90)
	local c10=r(c_1)
	local c50=r(c_2)
	local c90=r(c_3)
	splinegen `v' `c10' `c50' `c90', orthog
	local `v'vl `r(names)'
	regress res ``v'vl', nocons
	test ``v'vl'
}

regress lpsa $varsmfp
predict res2, res

* vars in model: look for more complex function
regress res2 cavol_0 cavol_1 cavol_2 cavol_3, nocons
test cavol_0 cavol_1 cavol_2 cavol_3

regress res2 weight_1 weight_2 weight_3, nocons
test weight_1 weight_2 weight_3

* vars not in model: fit more complex function
regress res2 pgg45_0 pgg45_1 pgg45_2, nocons	// pgg45_3 not created by splinegen
test pgg45_0 pgg45_1 pgg45_2
foreach v of var age bph cp {
	regress res2 ``v'vl', nocons
	test ``v'vl'
}

log close
set more on
