version 9.2
global stub ch6_t07
/*
	GBSG breast cancer data.
	Additional predictive value of several variables and their combination
	to the NPI. Using Royston & Sauerbrei (2004) R^2_D.
*/
mvmb_load gbsg_br_ca
mvmb_logopen

gen byte nodes_d1 = (nodes>3)

// NPI
gen npi = 2+nodes_d1+.02*size+grade

fracgen pgr .5
fracgen age -2 -.5

local A enodes
local B pgr_1
local C age_1 age_2

qui str2d stcox npi
di "npi:" _col(12) r(r2)

qui str2d stcox npi `A'
di "npi+A:" _col(12) r(r2)

qui str2d stcox npi `A' `B'
di "npi+A+B:" _col(12) r(r2)

qui str2d stcox npi `A' `C'
di "npi+A+C:" _col(12) r(r2)

qui str2d stcox npi `B'
di "npi+B:" _col(12) r(r2)

qui str2d stcox npi `B' `C'
di "npi+B+C:" _col(12) r(r2)

qui str2d stcox npi `C'
di "npi+C:" _col(12) r(r2)

qui str2d stcox npi `A' `B' `C'
di "npi+A+B+C:" _col(12) r(r2)

// ////////////////////////////////////////////////////////////////
// Same with 2 groups by npi (lowest group is too small). Cutpoints 3.4, 5.4
categ npi, cut(3.39 5.41)
tab npic3, gen(np)

qui str2d stcox np2 np3
di "npi:" _col(12) r(r2)

qui str2d stcox np2 np3 `A'
di "npi+A:" _col(12) r(r2)

qui str2d stcox np2 np3 `A' `B'
di "npi+A+B:" _col(12) r(r2)

qui str2d stcox np2 np3 `A' `C'
di "npi+A+C:" _col(12) r(r2)

qui str2d stcox np2 np3 `B'
di "npi+B:" _col(12) r(r2)

qui str2d stcox np2 np3 `B' `C'
di "npi+B+C:" _col(12) r(r2)

qui str2d stcox np2 np3 `C'
di "npi+C:" _col(12) r(r2)

qui str2d stcox np2 np3 `A' `B' `C'
di "npi+A+B+C:" _col(12) r(r2)

log close
set more on
