set scheme s1mono
global stub ch7_f02
/*
	Advanced prostate cancer data.
	Cutpoint based interaction between age and treatment, cutpoint age (75).
*/
set more off
mvmb_load adv_prostate_ca

categ age, cut(60 70 75)

global stuff xlab(0(20)80) by(rx) ///
 xtitle(" ", size(large)) ytitle(" ", size(large)) ///
 plot1opts(clp(l) lwidth(medthick)lcolor(gs6)) ///
 plot2opts(clp(-) lwidth(medthick)lcolor(gs6)) legend(off)

local lab1 "<=60 yrs"
local lab2 "61-70 yrs"
local lab3 "71-75 yrs"
local lab4 ">75 yrs"
forval j=1/4 {
	sts graph if agec4==`j', $stuff name(g`j', replace) nodraw title("`lab`j''") 
}

graph combine g1 g2 g3 g4, sav($stub, replace) nodraw ///
 b2("Survival time, months") l1("Survival probability") imargin(small)

gph2emf $stub
gph2eps $stub

graph drop g1 g2 g3 g4
set more on
