version 9.2
global stub ch7_f04
/*
	GBSG breast cancer data.
	ER x TAM interaction.
*/
set more off
mvmb_load gbsg_br_ca

mfpi stcox age gradd1 enodes, select(.05) with(hormon) fp1(er) genf(f) gendiff(d) showmodel

lab var f1_0 "No TAM"
lab var f1_1 "With TAM"

cumul er, gen(erc)
sort er erc

twoway line f1_0 f1_1 er if er<=100, clp(l _) clwidth(medthick ..) clcolor(gs4 ..) ///
 yscale(range(. 0.6)) ytitle("Log hazard ratio", size(large)) xtitle("") ///
 leg(pos(1) ring(0) col(1) lab(1 "No TAM") lab(2 "TAM")) ylab(-.6(.3).6) ///
 || line erc er if er<=100 , clp(-) yaxis(2) leg(lab(3 "CDF(ER)") ) ///
 clwidth(medthick) clcolor(gs12) ytitle("CDF", size(large) axis(2)) ///
 yscale(range(0,2) axis(2)) ylab(0(.5)1, axis(2)) ///
 name(g1, replace) nodraw

* ER: treatment effect
gen ll = d1_1-1.96*d1s_1
gen ul = d1_1+1.96*d1s_1

gen y1 = 0
gen y2 = -0.38

drop if er>100

residual_plot_cmd d1_1 ll ul er, nozero noparen

twoway `r(cmd2)' || `r(cmd3)' lwidth(medthick) || ///
 line y1 y2 er, sort clp(- -) lwidth(thin ..) lcolor(gs6 .) ///
 , ytitle("Log hazard ratio (treatment effect)", size(large)) ///
 xlab(0(20)100) xtitle("") leg(off) ///
 name(g2,replace) nodraw

graph combine g1 g2, sav($stub, replace) b2title("ER (fmol/l)") nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2
set more on
