version 9.2
global stub ch7_t02
/*
	Advanced prostate cancer data. 
	Treatment effects in age subgroups,
	adjusted for multivariable model selected at alpha = 5%.
*/
set more off
mvmb_load adv_prostate_ca
mvmb_logopen

global adj wt sz pf hx stage ekg

categ age, cut(60 70 75)
tab agec4

di "unadjusted"
forval j=1/4{
	qui stcox rx if agec4==`j'
	di `j', _b[rx], _se[rx]
}
qui stcox rx
di "unadj", _b[rx], _se[rx]

di "adjusted"
forval j=1/4 {
	qui stcox rx $adj if agec4==`j'
	di `j', _b[rx], _se[rx]
}
qui stcox rx $adj
di "adj", _b[rx], _se[rx]
log close
set more on
